公司
GET /companies 公開
列出具有職缺數量和非規範化方面的公司;可選篩選條件。
首先最活躍。構面參數是可重複的,並透過陣列重疊進行篩選(或在構面內,AND 跨構面),可與 q 組合。 meta.total 報告與完整篩選條件相符的計數。
查詢參數
qstring- 不區分大小寫的名稱子字串篩選條件。範例
acme collectionsstring- 精選集合 slug(例如
yc、bigtech)。可重複。範例yc regionsstring- 公司僱用的地區。可重複。範例
eu countriesstring- ISO 3166-1 alpha-2 國家。可重複。範例
DE industriesstring- Curated industry. Matches a company through its curated industries **or** the equivalent job-derived domain. Repeatable.範例
fintech domainsstring- Raw job-derived domain, including values no industry names (
other,media,mobility). Repeatable.範例fintech company_typestring- 公司類型(例如
product、outstaff)。可重複。範例product company_sizestring- 大小桶(例如
51-200)。可重複。範例51-200 remote_regionsstring- 工作衍生的遠端招募區域。可重複。範例
eu yc_batchstring- YC 批次(例如
W21)。可重複。範例W21 yc_statusstring- YC公司狀況。可重複。範例
active yc_stagestring- YC融資階段。可重複。範例
series-a yc_flagsstring- 策劃的 YC 突出標誌。可重複。範例
hiring maturitystring- 公司階段/成熟度。可重複。範例
growth subindustriesstring- YC 子行業葉(請參閱 /companies/subindustries)。可重複。範例
payments limitinteger- 頁面大小,1–100。範例
20 offsetinteger- 要跳過的行。範例
0
curl "https://freehire.me/api/v1/companies?q=acme&collections=yc"{
"data": [
{
"slug": "acme",
"name": "Acme",
"job_count": 12,
"collections": ["yc"],
"regions": ["eu"],
"countries": ["DE"],
"domains": ["fintech"],
"company_types": ["product"],
"company_sizes": ["51-200"],
"industries": ["payments"],
"year_founded": 2015,
"employee_count": 120,
"hq_country": "DE",
"organization_type": "private",
"tagline": "Payments for builders",
"company_info": { "...": "..." },
"remote_regions": ["eu"],
"yc_batch": ["W21"],
"yc_status": ["active"],
"yc_stage": ["series-a"],
"yc_flags": ["hiring"],
"maturity": "growth"
}
],
"meta": { "total": 1, "limit": 20, "offset": 0 }
}